### Constructor

# Msg DriveService new

#### Declaration [src]

    MsgDriveService*
    msg_drive_service_new (
      MsgAuthorizer* authorizer
    )

#### Description [src]

Creates a new `MsgDriveService` using `MsgAuthorizer`.

#### Parameters

`authorizer`

  Type: `MsgAuthorizer`

  A authorizer.

  The data is owned by the caller of the function.

#### Return value

Type: `MsgDriveService`

The newly created `MsgDriveService`.

The caller of the function takes ownership of the data, and is responsible for freeing it.